Bullet Collision Detection & Physics Library: btMultiBodyJointLimitConstraint Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
btMultiBodyJointLimitConstraint Class Reference

`#include <btMultiBodyJointLimitConstraint.h>`

Inheritance diagram for btMultiBodyJointLimitConstraint:
[legend]
Collaboration diagram for btMultiBodyJointLimitConstraint:
[legend]

## Public Member Functions
| btMultiBodyJointLimitConstraint (btMultiBody *body, int link, btScalar lower, btScalar upper)
| This file was written by Erwin Coumans.
virtual | ~btMultiBodyJointLimitConstraint ()
virtual void | finalizeMultiDof ()
virtual int | getIslandIdA () const
virtual int | getIslandIdB () const
virtual void | createConstraintRows (btMultiBodyConstraintArray &constraintRows, btMultiBodyJacobianData &data, const btContactSolverInfo &infoGlobal)
virtual void | debugDraw (class btIDebugDraw *drawer)
btScalar | getLowerBound () const
btScalar | getUpperBound () const
void | setLowerBound (btScalar lower)
void | setUpperBound (btScalar upper)
Public Member Functions inherited from btMultiBodyConstraint
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btMultiBodyConstraint (btMultiBody *bodyA, btMultiBody *bodyB, int linkA, int linkB, int numRows, bool isUnilateral, int type)
virtual | ~btMultiBodyConstraint ()
void | updateJacobianSizes ()
void | allocateJacobiansMultiDof ()
int | getConstraintType () const
virtual void | setFrameInB (const btMatrix3x3 &frameInB)
virtual void | setPivotInB (const btVector3 &pivotInB)
int | getNumRows () const
btMultiBody * | getMultiBodyA ()
btMultiBody * | getMultiBodyB ()
int | getLinkA () const
int | getLinkB () const
void | internalSetAppliedImpulse (int dof, btScalar appliedImpulse)
btScalar | getAppliedImpulse (int dof)
btScalar | getPosition (int row) const
void | setPosition (int row, btScalar pos)
bool | isUnilateral () const
btScalar * | jacobianA (int row)
const btScalar * | jacobianA (int row) const
btScalar * | jacobianB (int row)
const btScalar * | jacobianB (int row) const
btScalar | getMaxAppliedImpulse () const
void | setMaxAppliedImpulse (btScalar maxImp)
virtual void | setGearRatio (btScalar ratio)
virtual void | setGearAuxLink (int gearAuxLink)
virtual void | setRelativePositionTarget (btScalar relPosTarget)
virtual void | setErp (btScalar erp)

## Protected Attributes
btScalar | m_lowerBound
btScalar | m_upperBound
Protected Attributes inherited from btMultiBodyConstraint
btMultiBody * | m_bodyA
btMultiBody * | m_bodyB
int | m_linkA
int | m_linkB
int | m_type
int | m_numRows
int | m_jacSizeA
int | m_jacSizeBoth
int | m_posOffset
bool | m_isUnilateral
int | m_numDofsFinalized
btScalar | m_maxAppliedImpulse
btAlignedObjectArray< btScalar > | m_data

## Additional Inherited Members
Protected Member Functions inherited from btMultiBodyConstraint
void | applyDeltaVee (btMultiBodyJacobianData &data, btScalar *delta_vee, btScalar impulse, int velocityIndex, int ndof)
btScalar | fillMultiBodyConstraint (btMultiBodySolverConstraint &solverConstraint, btMultiBodyJacobianData &data, btScalar *jacOrgA, btScalar *jacOrgB, const btVector3 &constraintNormalAng, const btVector3 &constraintNormalLin, const btVector3 &posAworld, const btVector3 &posBworld, btScalar posError, const btContactSolverInfo &infoGlobal, btScalar lowerLimit, btScalar upperLimit, bool angConstraint=false, btScalar relaxation=1.f, bool isFriction=false, btScalar desiredVelocity=0, btScalar cfmSlip=0, btScalar damping=1.0)

## Detailed Description

Definition at line 22 of file btMultiBodyJointLimitConstraint.h.

## Constructor & Destructor Documentation

## ◆ btMultiBodyJointLimitConstraint()

btMultiBodyJointLimitConstraint::btMultiBodyJointLimitConstraint | ( | btMultiBody * | body,
|  | int | link,
|  | btScalar | lower,
|  | btScalar | upper )

This file was written by Erwin Coumans.

Definition at line 23 of file btMultiBodyJointLimitConstraint.cpp.

## ◆ ~btMultiBodyJointLimitConstraint()

btMultiBodyJointLimitConstraint::~btMultiBodyJointLimitConstraint | ( |  | ) |
| virtual

Definition at line 49 of file btMultiBodyJointLimitConstraint.cpp.

## Member Function Documentation

## ◆ createConstraintRows()

void btMultiBodyJointLimitConstraint::createConstraintRows | ( | btMultiBodyConstraintArray & | constraintRows,
|  | btMultiBodyJacobianData & | data,
|  | const btContactSolverInfo & | infoGlobal )
| virtual

Implements btMultiBodyConstraint.

Definition at line 91 of file btMultiBodyJointLimitConstraint.cpp.

## ◆ debugDraw()

virtual void btMultiBodyJointLimitConstraint::debugDraw | ( | class btIDebugDraw * | drawer | ) |
| inlinevirtual

Implements btMultiBodyConstraint.

Definition at line 41 of file btMultiBodyJointLimitConstraint.h.

## ◆ finalizeMultiDof()

void btMultiBodyJointLimitConstraint::finalizeMultiDof | ( |  | ) |
| virtual

Implements btMultiBodyConstraint.

Definition at line 31 of file btMultiBodyJointLimitConstraint.cpp.

## ◆ getIslandIdA()

int btMultiBodyJointLimitConstraint::getIslandIdA | ( |  | ) | const
| virtual

Implements btMultiBodyConstraint.

Definition at line 53 of file btMultiBodyJointLimitConstraint.cpp.

## ◆ getIslandIdB()

int btMultiBodyJointLimitConstraint::getIslandIdB | ( |  | ) | const
| virtual

Implements btMultiBodyConstraint.

Definition at line 72 of file btMultiBodyJointLimitConstraint.cpp.

## ◆ getLowerBound()

btScalar btMultiBodyJointLimitConstraint::getLowerBound | ( |  | ) | const
| inline

Definition at line 45 of file btMultiBodyJointLimitConstraint.h.

## ◆ getUpperBound()

btScalar btMultiBodyJointLimitConstraint::getUpperBound | ( |  | ) | const
| inline

Definition at line 49 of file btMultiBodyJointLimitConstraint.h.

## ◆ setLowerBound()

void btMultiBodyJointLimitConstraint::setLowerBound | ( | btScalar | lower | ) |
| inline

Definition at line 53 of file btMultiBodyJointLimitConstraint.h.

## ◆ setUpperBound()

void btMultiBodyJointLimitConstraint::setUpperBound | ( | btScalar | upper | ) |
| inline

Definition at line 57 of file btMultiBodyJointLimitConstraint.h.

## Member Data Documentation

## ◆ m_lowerBound

btScalar btMultiBodyJointLimitConstraint::m_lowerBound
| protected

Definition at line 25 of file btMultiBodyJointLimitConstraint.h.

## ◆ m_upperBound

btScalar btMultiBodyJointLimitConstraint::m_upperBound
| protected

Definition at line 26 of file btMultiBodyJointLimitConstraint.h.

The documentation for this class was generated from the following files:

- btMultiBodyJointLimitConstraint.h
- btMultiBodyJointLimitConstraint.cpp